# MMPC2

Modified version of mmpc2.

## Installation

Install git, a recent version of node, and npm, clone the repository, run `npm
install`, copy `conf.json.example` to `conf.json`, and run `node server.js`.

	git clone https://github.com/mortie/mmpc2.git
	cd mmpc2
	npm install
	cp conf.json.example
	node server.js

### Getting a recent version of node.js

Many distros ship old versions of node, which won't work with MMPC2. To fix
this, install node.js and npm (`sudo apt-get install nodejs-legacy npm` on
Debian and Ubuntu), then install `n` and install a new version of node with
that.

	sudo apt-get install nodejs-legacy npm
	sudo npm install -g n
	sudo n stable

With rolling release distros, the version of node in the package manager will
generally be new enough - e.g `sudo pacman -S npm node` in arch is enough.

## Configuration

`conf.json` contains a couple of configuration options (assuming you copied
`conf.json.example` to `conf.json`). These are:

	{
		"tmpdir": String. The directory to store temporary files in.
			Default: "tmp"
	}
